Generate prompts for mini audit
Generate analysis prompts based on brand and topic information. Returns prompts for visibility, competition, sentiment, and alignment analysis. Use isOnboarding=true for 5 visibility prompts, false for 8.
API Key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/domains/mini-audit/generate-prompts" \ -H "Content-Type: application/json" \ -d '{ "domainInfo": { "url": "https://example.com", "name": "Example Corp" }, "topicInfo": { "name": "Cloud Services", "keywords": [ "cloud", "hosting", "infrastructure" ] } }'{
"visibilityPrompts": [
"What are the best cloud providers?",
"Which company offers..."
],
"competitionPrompts": [
"Compare Example Corp with its competitors..."
],
"sentimentPrompts": [
"How do users feel about Example Corp?"
],
"alignmentPrompts": {
"global": [
[
null
]
],
"withAttributes": [
[
null
]
]
}
}Toggle the tracking-scope status for a topic PATCH
Previous Page
Generate complete mini audit report asynchronously POST
Creates a background job to generate a comprehensive brand intelligence report. Returns immediately with a jobId. Poll GET /domains/mini-audit/jobs/:jobId to check status and get results.